LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XPropertyControlObserver Interface Reference

specifies an interface for components to observer certain aspects of an XPropertyControl. More...

`import"XPropertyControlObserver.idl";`

Inheritance diagram for XPropertyControlObserver:

## Public Member Functions
void | focusGained ([in] XPropertyControl Control)
| notifies the observer that a certain XPropertyControl's UI representation gained the focus. More...
void | valueChanged ([in] XPropertyControl Control)
| notifies the observer that a certain XPropertyControl's value changed. More...

## Detailed Description

specifies an interface for components to observer certain aspects of an XPropertyControl.

Since
  OOo 2.2

## Member Function Documentation

## ◆ focusGained()

void focusGained | ( | [in] XPropertyControl | Control | ) |

notifies the observer that a certain XPropertyControl's UI representation gained the focus.

Parameters

  Control | denotes the control whose UI representation gained the focus

## ◆ valueChanged()

void valueChanged | ( | [in] XPropertyControl | Control | ) |

notifies the observer that a certain XPropertyControl's value changed.

Parameters

  Control | denotes the control whose value changed.

See also
  XPropertyControl::Value

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XPropertyControlObserver.idl